package com.gingersoft.gsa.cloud.base.common.bean;

import android.graphics.Color;

import com.google.gson.annotations.SerializedName;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-02-15
 * 修订历史：2020-02-15
 * 描述：
 */
public class PayMethod {

    /**
     * success : true
     * sysTime : 1582865195628
     * data : [{"id":11,"payName":"服務員確認","createTime":"May 7, 2018 11:47:27 AM"},{"id":1019,"payName":"轉數快支付","remarks":"","createTime":"Jul 10, 2019 4:56:21 PM"},{"id":9,"payName":"微信","createTime":"Jun 29, 2018 4:34:26 PM"},{"id":10,"payName":"Apple pay","createTime":"Aug 9, 2018 3:59:05 PM"},{"id":1010,"payName":"YedPay支付宝"},{"id":6,"payName":"支付寶HK","createTime":"Sep 12, 2017 2:45:12 PM"},{"id":8,"payName":"支付寶","createTime":"Jan 5, 2018 10:55:06 AM"},{"id":1020,"payName":"PayMe","createTime":"Nov 29, 2019 6:07:56 PM"}]
     */

    private int id;
    private String payName;
    private String createTime;
    private String remarks;

    private String NAME;
    private String NAME2;
    private String NAME3;
    private String PAYWAY;

    //*************自定義字段***************
    private double payMoney = 0.0;
    private double TipsPrice = 0.0;
    private int payModeTextColor = Color.parseColor("#000000");
    private int payMoneyTextColor = Color.parseColor("#000000");
    private int payModeTextSelectColor = Color.parseColor("#000000");
    private int payMoneyTextSelectColor = Color.parseColor("#000000");
    private int payModeSize = 18;
    private int payMoneySize = 18;


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getNAME() {
        return NAME;
    }

    public void setNAME(String NAME) {
        this.NAME = NAME;
    }

    public String getNAME2() {
        return NAME2;
    }

    public void setNAME2(String NAME2) {
        this.NAME2 = NAME2;
    }

    public String getNAME3() {
        return NAME3;
    }

    public void setNAME3(String NAME3) {
        this.NAME3 = NAME3;
    }

    public String getPAYWAY() {
        return PAYWAY;
    }

    public void setPAYWAY(String PAYWAY) {
        this.PAYWAY = PAYWAY;
    }

    public double getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(double payMoney) {
        this.payMoney = payMoney;
    }

    public double getTipsPrice() {
        return TipsPrice;
    }

    public void setTipsPrice(double tipsPrice) {
        TipsPrice = tipsPrice;
    }

    public int getPayModeTextColor() {
        return payModeTextColor;
    }

    public void setPayModeTextColor(int payModeTextColor) {
        this.payModeTextColor = payModeTextColor;
    }

    public int getPayMoneyTextColor() {
        return payMoneyTextColor;
    }

    public void setPayMoneyTextColor(int payMoneyTextColor) {
        this.payMoneyTextColor = payMoneyTextColor;
    }

    public int getPayModeTextSelectColor() {
        return payModeTextSelectColor;
    }

    public void setPayModeTextSelectColor(int payModeTextSelectColor) {
        this.payModeTextSelectColor = payModeTextSelectColor;
    }

    public int getPayMoneyTextSelectColor() {
        return payMoneyTextSelectColor;
    }

    public void setPayMoneyTextSelectColor(int payMoneyTextSelectColor) {
        this.payMoneyTextSelectColor = payMoneyTextSelectColor;
    }

    public int getPayModeSize() {
        return payModeSize;
    }

    public void setPayModeSize(int payModeSize) {
        this.payModeSize = payModeSize;
    }

    public int getPayMoneySize() {
        return payMoneySize;
    }

    public void setPayMoneySize(int payMoneySize) {
        this.payMoneySize = payMoneySize;
    }
}
